﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
	public partial class Window1 : Window
	{
		ObservableCollection<int> numbers = new ObservableCollection<int>();

		public Window1()
		{
			InitializeComponent();
			for (int i = 0; i < 10; i++)
			{
				this.numbers.Add(i);
			}

			this.treeView1.ItemsSource = this.numbers;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			if (this.treeView1.SelectedItem != null)
			{
				this.numbers.Remove((int)this.treeView1.SelectedItem);
			}
		}
	}

	public class SelectedItemConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return (value != null) ? value : "null";
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
